View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0013125ParaView(No Category)public2012-04-24 15:222016-08-12 09:59
ReporterAntonG 
Assigned ToCory Quammen 
PrioritynormalSeverityminorReproducibilityhave not tried
StatusclosedResolutionmoved 
PlatformOSOS Version
Product Version3.14.1 
Target VersionFixed in Version 
Summary0013125: file dialog aborts if current working directory is removed
DescriptionDear paraview developers,

Debian bug-tracker has the following bug against paraview-python binary [1]:

==================================
Package: paraview
Version: 3.14.1-1
Severity: normal
Tags: upstream

Opening the file dialog (Ctrl-o) will abort paraview if the current working
directory is removed:

  $ mkdir /tmp/asd; cd /tmp/asd; paraview&
  # wait for paraview to start
  $ rmdir /tmp/asd
  # open file dialog with Ctrl-o in paraview
  No current working directory
  [1] + abort paraview

Regards,
Ansgar

-- System Information:
Debian Release: wheezy/sid
  APT prefers unstable
  APT policy: (500, 'unstable'), (1, 'experimental')
Architecture: amd64 (x86_64)

Kernel: Linux 3.0.0-17-generic (SMP w/4 CPU cores)
Locale: LANG=en_US.UTF-8, LC_CTYPE=en_US.UTF-8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/dash

Versions of packages paraview depends on:
ii libavcodec53 5:0.8.1-4
ii libavformat53 5:0.8.1-4
ii libavutil51 5:0.8.1-4
ii libc6 2.13-30
ii libexpat1 2.1.0-1
ii libfreetype6 2.4.9-1
ii libgcc1 1:4.7.0-3
ii libgl1-mesa-glx [libgl1] 7.11.2-1
ii libglu1-mesa [libglu1] 7.11.2-1
ii libhdf5-7 [libhdf5-7] 1.8.8-9
ii libice6 2:1.0.8-2
ii libjpeg8 8d-1
ii libmysqlclient16 5.1.61-3
ii libogg0 1.2.2~dfsg-1
ii libopenmpi1.3 1.4.3-2.1
ii libpng12-0 1.2.49-1
ii libpq5 9.1.3-2
ii libpython2.7 2.7.3~rc2-2
ii libqt4-help 4:4.7.4-3
ii libqt4-network 4:4.7.4-3
ii libqt4-sql 4:4.7.4-3
ii libqt4-xml 4:4.7.4-3
ii libqt4-xmlpatterns 4:4.7.4-3
ii libqtcore4 4:4.7.4-3
ii libqtgui4 4:4.7.4-3
ii libqtwebkit4 2.2.0-5
ii libsm6 2:1.2.1-2
ii libsqlite3-0 3.7.11-2
ii libstdc++6 4.7.0-3
ii libswscale2 5:0.8.1-4
ii libtheora0 1.1.1+dfsg.1-3
ii libtiff4 3.9.6-3
ii libx11-6 2:1.4.99.901-1
ii libxext6 2:1.3.1-2
ii libxml2 2.7.8.dfsg-8
ii libxt6 1:1.1.1-2
ii qt4-dev-tools 4:4.7.4-3
ii tcl8.5 [tclsh] 8.5.11-1
ii zlib1g 1:1.2.6.dfsg-2
==================================

I am ready to provide any additional information, if necessary.

Thanks.

Anton

[1] http://bugs.debian.org/670135 [^]
TagsNo tags attached.
ProjectParaViewVR
Topic Name
Typeincorrect functionality
Attached Files

- Relationships Relation Graph ] Dependency Graph ]

-  Notes
(0036662)
Cory Quammen (developer)
2016-08-02 10:27

No crash when testing on ParaView 5.1, Mac OS X, built-in server. The deleted directory appears as the path in the file dialog, even though it does not exist, but it does not crash.
(0038200)
Kitware Robot (administrator)
2016-08-12 09:59

Resolving issue as `moved`.

This issue tracker is no longer used. Further discussion of this issue may take place in the current ParaView Issues page linked in the banner at the top of this page.

- Issue History
Date Modified Username Field Change
2012-04-24 15:22 AntonG New Issue
2016-08-02 10:27 Cory Quammen Note Added: 0036662
2016-08-02 10:27 Cory Quammen Status backlog => customer review
2016-08-02 10:27 Cory Quammen Resolution open => fixed
2016-08-02 10:27 Cory Quammen Assigned To => Cory Quammen
2016-08-12 09:59 Kitware Robot Note Added: 0038200
2016-08-12 09:59 Kitware Robot Status customer review => closed
2016-08-12 09:59 Kitware Robot Resolution fixed => moved


Copyright © 2000 - 2017 MantisBT Team
Powered by Mantis Bugtracker